from wf_monitor.wf_event import WorkflowEvent, EventType
from wf_monitor.monitor import WorkflowMonitor

log_path = 'logs/condor.log'
test_monitor = WorkflowMonitor(log_path)


def test_read_log():
    test_strs = [
        'Image size of job updated: 432',
        '432  -  ResidentSetSize of job (KB)',
        '(1) Normal termination (return value 0)',
        '000 (3983.000.000) 08/26 11:06:06 Job submitted from host: '
        '<10.64.1.178:9618?addrs=10.64.1.178-9618&noUDP&sock=4050180_7e37_3>'
    ]
    for s in test_strs:
        assert s in test_monitor.log


def test_parse_log():
    test_event_types = [
        EventType.SUBMITTED,
        EventType.EXECUTING,
        EventType.OTHER,
        EventType.TERMINATED,
        EventType.SUBMITTED,
        EventType.EXECUTING,
        EventType.OTHER,
        EventType.TERMINATED
    ]
    for e, e_type in zip(test_monitor.events, test_event_types):
        assert e.type == e_type


def test_send_event_data():
    pass
